/*entête de la page d'accueil*/

#entête
{
  font-size: 70px;
  padding: 270px;
  text-align: center;
  height: 115px;
  line-height: 90px;
  color: #E2E2E2;
  background:  linear-gradient(#8CA6DB, #c779d0 50%, rgb(206, 163, 220) 76.47%, rgb(218, 181, 223) 86.13%, #ccc0d3);
  font-family: 'Niconne', cursive;
  font-weight: 700;
  text-shadow: 5px 5px 0px #9796f0, 
               10px 10px 0px #CC95C0;
    
}




/*le corps de la page d'accueil*/

#partieprincipaleaccueil
{
  font-family: 'Niconne';
  font-size: 3px;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
  text-align: center; 


}

/*images de la page d'accueil*/
img

{
  width: 35%;
  margin-top: 15px;
  margin-bottom: 15px;

}

/* liens qui renvoient soit vers la page règles soit à mon projet*/

#lien1
{
  font-family: cursive;
  font-size: 18%;
  max-width: 90%;
  margin: auto;
  border: outset 2em white ;
  border-width: 8px 7px 8px 7px;
  width: 320px;
  display:inline-block;
  margin-left: 40em;

}


a {
  text-decoration: none;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  transition: all 0.5s;
}

p:nth-child(1) a 
{
  color: black;
  font-family: italic;
  -webkit-animation: neon1 1.5s ease-in-out infinite alternate;
  -moz-animation: neon1 1.5s ease-in-out infinite alternate;
  animation: neon1 1.5s ease-in-out infinite alternate;
}

p:nth-child(1) a:hover {
  color: #A770EF;
  -webkit-animation: none;
  -moz-animation: none;
  animation: none;
}

@-moz-keyframes neon1 
{
  from {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #FF1177, 0 0 70px #FF1177, 0 0 80px #FF1177, 0 0 100px #FF1177, 0 0 150px #FF1177;
  }
  to {
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #FF1177, 0 0 35px #FF1177, 0 0 40px #FF1177, 0 0 50px #FF1177, 0 0 75px #FF1177;
  }
}

#lien2

{
  font-family: cursive;
  font-size: 18%;
  max-width: 90%;
  margin: auto;
  border: outset 2em white ;
  border-width: 8px 7px 8px 7px;
  width: 320px;
  display:inline-block;

}



a 
{
  text-decoration: none;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
  transition: all 0.5s;
}

p:nth-child(1) a 

{
  color: black;
  font-family: italic;
  -webkit-animation: neon1 1.5s ease-in-out infinite alternate;
  -moz-animation: neon1 1.5s ease-in-out infinite alternate;
  animation: neon1 1.5s ease-in-out infinite alternate;
}


p:nth-child(1) a:hover
 {
  color: #A770EF;
  -webkit-animation: none;
  -moz-animation: none;
  animation: none;
}

@-moz-keyframes neon1 
{
  from {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #FF1177, 0 0 70px #FF1177, 0 0 80px #FF1177, 0 0 100px #FF1177, 0 0 150px #FF1177;
  }
  to {
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #FF1177, 0 0 35px #FF1177, 0 0 40px #FF1177, 0 0 50px #FF1177, 0 0 75px #FF1177;
  }
}




/*----------------------------------------------------------------------------*/


  

/* le menu qui apparait dans toutes les pages html*/
nav 
{
  mask-image: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #ffffff 25%, #ffffff 75%, rgba(255, 255, 255, 0) 100%);
  margin-top: 30px;
  
}

nav ul 
{
  text-align: center;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.2) 25%, rgba(255, 255, 255, 0.2) 75%, rgba(255, 255, 255, 0) 100%);
  box-shadow: 0 0 25px rgba(0, 0, 0, 0.1), inset 0 0 1px rgba(255, 255, 255, 0.6);
  margin:0;
}

nav ul li {
  display: inline-block;
}

nav ul li a 
{
  padding: 18px;
  font-family: sans-serif, "Open Sans";
  text-transform: uppercase;
  color: rgba(0, 35, 122, 0.5);
  font-size: 18px;
  text-decoration: none;
  display: block;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1), inset 0 0 1px rgba(255, 255, 255, 0.6);
  background: rgba(255, 255, 255, 0.1);

}

nav ul li a:hover
{
  color : white;
}
/*---------------------------------------------------------------------------*/

/*le corps de la page règles*/

#partieprincipaleregles
 {
  font-family: arial;
  font-size: 13%;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
  text-align: center; 
}

table
{
  background-color: #9e84bf;/*couleur fond*/
  border-collapse: separate;
  border-spacing: 6px;
  margin: auto;
  border-radius: 5px;
}

td
{
  background-color:#c3a9cb ;/*couleur cellule vide*/
  width: 60px;
  height: 60px;
  text-align: center;
  border-radius: 5px;
} 
.case
{

  font-size: 25px;
  color:#9D50BB; /*couleur des bords des cellules*/
} 

.alignement
{
  display: inline-table;
  vertical-align: top;
}

/*le corps de la page mon projet*/

#partieprincipalemonprojet
{
  font-family: arial;
  font-size: 13%;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
  text-align: center; 
}

/*les sous titres de la page mon projet*/
h4
{
  font-size: 19px;
  color:#B06AB3;
  font-family: sans-serif, "Open Sans";

}

/*-----------------------------------------------------------------------------------------*/

/*arrière plan de toutes les pages*/
body
{

margin-top: 0;
margin-right: 0;
margin-left: 0;
background-color: #ccc0d3;

}

/*tous les  de toutes les pages*/
p
 {
  text-align: center;
  font-size: 7em;
  margin: 20px 10px 20px 10px;
}

/*tous les titres importants de toutes les pages*/

 h3
{
  font-size: 22px;
  color:#B06AB3;
  font-family: sans-serif, "Open Sans";

}

/*-----------------------------------------------------------------------------------------*/
/*bas de toutes les pages*/

#footer
{
  background-color: #B993D6;
  padding: 4px ;
  font-size: 2px ;
  margin-top: 10em;
 
}

